# Class GenericMouse

java.lang.Object
jspecview.app.GenericMouse

All Implemented Interfaces:
  `GenericMouseInterface`

public class GenericMouse extends Object implements GenericMouseInterface

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`isMouseDown`
`protected JSVPanel`
`jsvp`
`protected int`
`modifiersWhenPressed10`
`protected EventManager`
`pd`
`protected int`
`xWhenPressed`
`protected int`
`yWhenPressed`

## Constructor Summary

Constructors
Constructor
Description
`GenericMouse(JSVPanel jsvp)`

## Method Summary

Modifier and Type
Method
Description
`protected static int`
`applyLeftMouse(int modifiers)`
`void`
`clear()`
`protected void`
`clicked(long time, int x, int y, int modifiers, int clickCount)`
`void`
`dispose()`
`protected void`
`dragged(long time, int x, int y, int modifiers)`
`protected void`
`entered(long time, int x, int y)`
`protected void`
`exited(long time, int x, int y)`
`void`
`keyPressed(KeyEvent ke)`
`void`
`keyReleased(KeyEvent ke)`
`void`
`keyTyped(KeyEvent ke)`
`void`
`mouseClicked(MouseEvent e)`
`void`
`mouseDragged(MouseEvent e)`
`void`
`mouseEntered(MouseEvent e)`
`void`
`mouseExited(MouseEvent e)`
`void`
`mouseMoved(MouseEvent e)`
`void`
`mousePressed(MouseEvent e)`
`void`
`mouseReleased(MouseEvent e)`
`void`
`mouseWheelMoved(MouseWheelEvent e)`
`protected void`
`moved(long time, int x, int y, int modifiers)`
`protected void`
`pressed(long time, int x, int y, int modifiers, boolean isPopupTrigger)`
`boolean`
`processEvent(int id, int x, int y, int modifiers, long time)`
`void`
`processKeyEvent(Object event)`
`void`
`processTwoPointGesture(float[][][] touches)`
`protected void`
`released(long time, int x, int y, int modifiers)`
`protected void`
`wheeled(long time, int rotation, int modifiers)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pd

protected EventManager pd

### jsvp

protected JSVPanel jsvp

### xWhenPressed

protected int xWhenPressed

### yWhenPressed

protected int yWhenPressed

### modifiersWhenPressed10

protected int modifiersWhenPressed10

### isMouseDown

protected boolean isMouseDown

## Constructor Details

### GenericMouse

public GenericMouse(JSVPanel jsvp)

## Method Details

### clear

public void clear()

Specified by:
  `clear` in interface `GenericMouseInterface`

### processEvent

public boolean processEvent(int id, int x, int y, int modifiers, long time)

Specified by:
  `processEvent` in interface `GenericMouseInterface`

### mouseEntered

public void mouseEntered(MouseEvent e)

### mouseExited

public void mouseExited(MouseEvent e)

### mouseMoved

public void mouseMoved(MouseEvent e)

### mousePressed

public void mousePressed(MouseEvent e)

### mouseDragged

public void mouseDragged(MouseEvent e)

### mouseReleased

public void mouseReleased(MouseEvent e)

### mouseClicked

public void mouseClicked(MouseEvent e)

### mouseWheelMoved

public void mouseWheelMoved(MouseWheelEvent e)

### keyTyped

public void keyTyped(KeyEvent ke)

### keyPressed

public void keyPressed(KeyEvent ke)

### keyReleased

public void keyReleased(KeyEvent ke)

### processKeyEvent

public void processKeyEvent(Object event)

Specified by:
  `processKeyEvent` in interface `GenericMouseInterface`

### entered

protected void entered(long time, int x, int y)

### exited

protected void exited(long time, int x, int y)

### clicked

protected void clicked(long time, int x, int y, int modifiers, int clickCount)

Parameters:
  `time` -
  `x` -
  `y` -
  `modifiers` -
  `clickCount` -

### moved

protected void moved(long time, int x, int y, int modifiers)

### wheeled

protected void wheeled(long time, int rotation, int modifiers)

### pressed

protected void pressed(long time, int x, int y, int modifiers, boolean isPopupTrigger)

Parameters:
  `time` -
  `x` -
  `y` -
  `modifiers` -
  `isPopupTrigger` -

### released

protected void released(long time, int x, int y, int modifiers)

### dragged

protected void dragged(long time, int x, int y, int modifiers)

### applyLeftMouse

protected static int applyLeftMouse(int modifiers)

### processTwoPointGesture

public void processTwoPointGesture(float[][][] touches)

Specified by:
  `processTwoPointGesture` in interface `GenericMouseInterface`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `GenericMouseInterface`